From 7700916eaeb1624dd7b639e2f85c7de62dca1571 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 2 Aug 2023 21:02:39 +0800
Subject: [PATCH 4/5] versioninfo.h: fix recognizing archs and compiler (#6794)

---
 include/versioninfo.h | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

diff --git include/versioninfo.h include/versioninfo.h
index 664fc80e6..61a9dc356 100644
--- include/versioninfo.h
+++ include/versioninfo.h
@@ -1,5 +1,7 @@
-#ifdef __GNUC__
+#if defined(__GNUC__)
 #define GCC_VERSION "GCC " __VERSION__
+#elif defined(__clang__)
+#define GCC_VERSION "Clang " __clang_version__
 #else
 #define GCC_VERSION "unknown compiler"
 #endif
@@ -12,6 +14,22 @@
 #define MACHINE "x86_64"
 #endif
 
+#ifdef LMMS_HOST_ARM32
+#define MACHINE "arm"
+#endif
+
+#ifdef LMMS_HOST_ARM64
+#define MACHINE "arm64"
+#endif
+
+#ifdef LMMS_HOST_PPC32
+#define MACHINE "ppc"
+#endif
+
+#ifdef LMMS_HOST_PPC64
+#define MACHINE "ppc64"
+#endif
+
 #ifndef MACHINE
 #define MACHINE "unknown processor"
 #endif
@@ -39,3 +57,7 @@
 #ifdef LMMS_BUILD_HAIKU
 #define PLATFORM "Haiku"
 #endif
+
+#ifndef PLATFORM
+#define PLATFORM "unknown platform"
+#endif
